Bug 31346 - On the OPAC detail page some Syndetics links are wrong
Summary: On the OPAC detail page some Syndetics links are wrong
Status: RESOLVED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low minor (vote)
Assignee: Lucas Gass
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2022-08-11 22:55 UTC by Lucas Gass
Modified: 2022-10-23 09:56 UTC (History)
2 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Trivial patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:
22.11.00,22.05.06,21.11.12


Attachments
Bug 31346: Fix broken Syndetics links on OPAC detail page (8.53 KB, patch)
2022-08-11 23:00 UTC, Lucas Gass
Details | Diff | Splinter Review
Bug 31346: Fix broken Syndetics links on OPAC detail page (8.59 KB, patch)
2022-08-12 14:35 UTC, ByWater Sandboxes
Details | Diff | Splinter Review
Bug 31346: Fix broken Syndetics links on OPAC detail page (8.65 KB, patch)
2022-08-12 14:47 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Lucas Gass 2022-08-11 22:55:42 UTC
I was made aware of a problem with some Syndetics images not appearing properly on the OPAC detail page.

On closer inspection I noticesd some of the links include '&' or two encoded &'s. 

Also, the filters are html when I think they should be uri when they are part of a URL query string.
Comment 1 Lucas Gass 2022-08-11 23:00:45 UTC
Created attachment 139032 [details] [review]
Bug 31346: Fix broken Syndetics links on OPAC detail page

To test:
-Have some Syndetics credentials
-Turn on SyndeticsCoverImages
-Look at some and you'll notice that Syndetics cover images dont always load
-If you view the page source you'll see why. The links are built like this:
https://secure.syndetics.com/index.aspx?isbn=/LC.GIF&client=bedf&type=xw10&upc=843501038123&oclc=1311289389

-Apply patch
-Cover images should load properly.
Comment 2 ByWater Sandboxes 2022-08-12 14:35:17 UTC
Created attachment 139059 [details] [review]
Bug 31346: Fix broken Syndetics links on OPAC detail page

To test:
-Have some Syndetics credentials
-Turn on SyndeticsCoverImages
-Look at some and you'll notice that Syndetics cover images dont always load
-If you view the page source you'll see why. The links are built like this:
https://secure.syndetics.com/index.aspx?isbn=/LC.GIF&client=bedf&type=xw10&upc=843501038123&oclc=1311289389

-Apply patch
-Cover images should load properly.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>
Comment 3 Barbara Johnson 2022-08-12 14:36:20 UTC
Worked great!  Cover images now display like they are supposed to.
Comment 4 Katrin Fischer 2022-08-12 14:47:31 UTC
Created attachment 139060 [details] [review]
Bug 31346: Fix broken Syndetics links on OPAC detail page

To test:
-Have some Syndetics credentials
-Turn on SyndeticsCoverImages
-Look at some and you'll notice that Syndetics cover images dont always load
-If you view the page source you'll see why. The links are built like this:
https://secure.syndetics.com/index.aspx?isbn=/LC.GIF&amp;amp;client=bedf&amp;type=xw10&amp;upc=843501038123&amp;oclc=1311289389

-Apply patch
-Cover images should load properly.

Signed-off-by: Barbara Johnson <barbara.johnson@bedfordtx.gov>

Signed-off-by: Katrin Fischer <katrin.fischer@bsz-bw.de>
Comment 5 Katrin Fischer 2022-08-12 14:48:35 UTC
Verified the code changes as I couldn't test with Syndetics, trusting that Lucas and Barbara took care of that :)
Comment 6 Tomás Cohen Arazi 2022-08-16 12:21:08 UTC
Pushed to master for 22.11.

Nice work everyone, thanks!
Comment 7 Lucas Gass 2022-09-30 22:55:53 UTC
Backported to 22.05.x for 22.05.06
Comment 8 Victor Grousset/tuxayo 2022-10-16 15:59:14 UTC
Not backported to oldoldstable (21.05.x). Feel free to ask if it's needed.

Nothing to document it seems, marking resolved.
Comment 9 Arthur Suzuki 2022-10-22 22:10:12 UTC
Thanks!

Pushed to 21.11 for 21.11.12